# file::up-to-date

Determines whether targetFile is more or equal up-to-date than srcFile.

### Usage

`bool file::up-to-date(srcFile, targetFile)`

### Parameters

Name | Type | Description
--- | --- | ---
srcFile | string | The file to check against the target file.
targetFile | string | The file for which we want to determine the status.

### Return Value

true if targetFile is more or equal up-to-date than srcFile; otherwise, false.

### Exceptions

The function will fail in any of the following circumstances:

- srcFile or targetFile is a zero-length string, contains only white space, or contains one or more invalid characters.
- The specified path, file name, or both of either srcFile or targetFile exceed the system-defined maximum length.

### Requirements

Assembly: NAnt.Core (0.92.4543.0)